# norootforbuild
%define makeinstall make install DESTDIR=%{buildroot}
#
Name:          maildrop
Version:       2.7.0
Release:       2.2
#
License:       GPL
Group:         Productivity/Networking/Email/Utilities
#
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: gcc-c++ fam-devel pcre-devel gdbm-devel
#
URL:           http://www.flounder.net/~mrsam/maildrop/
Source:        http://prdownloads.sourceforge.net/courier/%{name}-%{version}.tar.bz2
#
Summary:       The mail filter/mail delivery agent from the Courier Mail suite

%description
maildrop is a replacement for your local mail delivery agent. maildrop reads a
mail message from standard input, then delivers the message to your mailbox.
maildrop knows how to deliver mail to mbox-style mailboxes, and maildirs.
"maildir" is a mailbox format used by Courier and Qmail.

maildrop optionally reads instructions from a file, which describe how to
filter incoming mail. These instructions can direct maildrop to deliver the
message to an alternate mailbox, or forward it somewhere else. Unlike procmail,
maildrop uses a structured filtering language.

maildrop is written in C++, and is significantly larger than procmail. However,

Authors:
----------
    Sam Varshavchik <mrsam at courier-mta dot com>

%package devel
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Summary:	Development files for %{name}

%description devel
Development libraries and headers for %{name} 


%package tools
Group:		Productivity/Networking/Email/Utilities
Summary:	Deliverquota and maildirmake tools
Provides:	maildirmake
Provides:	deliverquota

%description tools
To not conflict with courier-imap package the
maildrop package is splitted into the main maildrop
package and this maildrop-tools package which only
includes deliverquota and maildirmake tools and its
man pages.

%prep
%setup

%build
%configure                                      \
    --enable-syslog=1                           \
    --with-etcdir=%{_sysconfdir}/mail/%{name}   \
    --enable-maildirquota                       \
    --enable-keep-fromline=1                    \
    --with-devel                                \
    --enable-userdb                             \
    --enable-sendmail=/usr/sbin/sendmail        \
    --enable-restrict-trusted=1                 \
    --enable-trusted-users='root mail daemon postmaster qmaild qmailq qmails qmailr vscan mmdf vpopmail postfix'

%{__make}

%install
%__make MAILDROPUID='' MAILDROPGID='' DESTDIR=%{buildroot} install
%{__mkdir} htmldoc
%{__cp} %{buildroot}%{_datadir}/maildrop/html/* htmldoc
%{__rm} -rf %{buildroot}%{_datadir}/maildrop/html

# strip bins
strip %{buildroot}%{_bindir}/deliverquota
strip %{buildroot}%{_bindir}/lockmail
strip %{buildroot}%{_bindir}/mailbot
strip %{buildroot}%{_bindir}/maildirmake
strip %{buildroot}%{_bindir}/maildrop
strip %{buildroot}%{_bindir}/makedatprog
strip %{buildroot}%{_bindir}/makemime
strip %{buildroot}%{_bindir}/reformail
strip %{buildroot}%{_bindir}/reformime
strip %{buildroot}%{_libdir}/librfc2045.so.0.0.0
strip %{buildroot}%{_libdir}/librfc822.so.0.0.0


%clean
%{__rm} -rf %{buildroot};

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%attr(755, root, mail) %{_bindir}/maildrop
%attr(755, root, mail) %{_bindir}/lockmail
%{_bindir}/mailbot
%{_bindir}/makedat
%{_bindir}/makedatprog
%{_bindir}/reformail
%{_bindir}/makemime
%{_bindir}/reformime
%{_libdir}/lib*.so.*
%{_mandir}/man1/lockmail.1.gz
%{_mandir}/man1/mailbot.1.gz
%{_mandir}/man1/maildrop.1.gz
%{_mandir}/man1/makemime.1.gz
%{_mandir}/man1/reformail.1.gz
%{_mandir}/man1/reformime.1.gz
%{_mandir}/man5/maildir.5.gz
%{_mandir}/man7/maildirquota.7.gz
%{_mandir}/man7/maildropex.7.gz
%{_mandir}/man7/maildropfilter.7.gz
%{_mandir}/man7/maildropgdbm.7.gz

%doc libs/maildir/README.maildirquota.html libs/maildir/README.maildirquota.txt
%doc libs/maildir/README.sharedfolders.html libs/maildir/README.sharedfolders.txt
%doc libs/maildir/README.maildirfilter.html
%doc libs/maildir/README.imapkeywords.html
%doc COPYING README README.postfix INSTALL NEWS UPGRADE ChangeLog maildroptips.txt
%doc htmldoc/*
%{_datadir}/maildrop

%files devel
%defattr(-, root, root)
%{_mandir}/man3/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%files tools
%defattr(-,root,root)
%{_bindir}/deliverquota
%{_bindir}/maildirmake
%{_mandir}/man8/deliverquota.8*
%{_mandir}/man1/maildirmake.1*

%changelog
* Sun Sep 29 2013 cs@linux-administrator.com
- update to version 2.7.0
* Sun Oct 21 2012 cs@linux-administrator.com
- update to version 2.6.0
* Thu Jan 19 2012 cs@linux-administrator.com
- update to version 2.5.5
* Fri Jun 24 2011 cs@linux-administrator.com
- update to version 2.5.4
* Sat Apr  9 2011 cs@linux-administrator.com
- update to version 2.5.3
* Sun Mar 20 2011 cs@linux-administrator.com
- update to version 2.5.2
* Fri Oct  1 2010 cs@linux-administrator.com
- update to version 2.5.0
* Mon May 24 2010 cs@linux-administrator.com
- update to version 2.4.3
* Sat Feb  6 2010 cs@linux-administrator.com
- update to version 2.4.0
* Sat Oct 10 2009 cs@linux-administrator.com
- update to version 2.2.0
* Thu Aug  6 2009 cs@linux-administrator.com
- update to version 2.1.0
  - move maildirmake & deliverquota to tools subpackage
* Mon Feb  4 2008 cs@linux-administrator.com
- Update to version 2.0.4
* Sat Sep 17 2005 mrueckert@suse.de
- Update to version 2.0.0
* Mon Aug 22 2005 mrueckert@suse.de
- Initial package of version 1.8.1
